# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-remoteobjects
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-remoteobjects
Version:        1.1
Release:        alt1_6
Summary:        An Object RESTational Model

Group:          Development/Python
License:        BSD
URL:            http://sixapart.github.com/remoteobjects/
Source0:        http://pypi.python.org/packages/source/r/remoteobjects/remoteobjects-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-distribute
Source44: import.info

%description
remoteobjects are real subclassable Python objects on which you can build a
rich API library.

remoteobjects provides easy coding and transfer between Python objects and a
JSON REST API. You can define the resources in a RESTful API as RemoteObject
classes and their properties. These objects then support using the basic HTTP
verbs to request and submit data to the API.

%prep
%setup -q -n remoteobjects-%{version}


%build
python setup.py build


%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_6
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_5
- fc import

